Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Richfaces UI Components UI 4.1.0.20110910-M2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.renderkit.html
Class NullConverterScript

    java.lang.Object
      org.ajax4jsf.javascript.ScriptStringBase
          org.ajax4jsf.javascript.JSLiteral
              org.richfaces.renderkit.html.NullConverterScript

All Implemented Interfaces:
  java.io.Serializable, org.ajax4jsf.javascript.ScriptString, org.ajax4jsf.javascript.ScriptWithDependencies, org.richfaces.resource.ResourceLibrary

    public class NullConverterScript

extends org.ajax4jsf.javascript.JSLiteral
implements org.ajax4jsf.javascript.ScriptWithDependencies

This class represents "dummy" converter call ( just refference to "value" variable )

Author:
  asmirnov
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.ajax4jsf.javascript.JSLiteral
`EMPTY_HASH, EMPTY_LIST`

Fields inherited from class org.ajax4jsf.javascript.ScriptStringBase
`COLON, COMMA, DOT, EMPTY_STRING, EQUALS, FUNCTION, LEFT_CURLY_BRACKET, LEFT_ROUND_BRACKET, LEFT_SQUARE_BRACKET, RIGHT_CURLY_BRACKET, RIGHT_ROUND_BRACKET, RIGHT_SQUARE_BRACKET`

Constructor Summary
`NullConverterScript()`

Method Summary
`java.lang.String` | `getName()`
`java.lang.Iterable<org.richfaces.resource.ResourceKey>` | `getResources()`

Methods inherited from class org.ajax4jsf.javascript.JSLiteral
`appendScript, getLiteral`

Methods inherited from class org.ajax4jsf.javascript.ScriptStringBase
`appendScriptToStringBuilder, toScript, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.ajax4jsf.javascript.ScriptString
`appendScript, appendScriptToStringBuilder, toScript`

Constructor Detail

### NullConverterScript

    public NullConverterScript()

Method Detail

### getName

    public java.lang.String getName()

### getResources

    public java.lang.Iterable<org.richfaces.resource.ResourceKey> getResources()

  Specified by:
    `getResources` in interface `org.richfaces.resource.ResourceLibrary`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Richfaces UI Components UI 4.1.0.20110910-M2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 JBoss, a division of Red Hat, Inc.. All Rights Reserved.